Download it now!
Bug 46955 - RTF reader seems to ignore \caps directive
Summary: RTF reader seems to ignore \caps directive
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.6.0 target:3.5.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-03-04 05:15 UTC by soren.hein
Modified: 2012-04-03 02:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soren.hein 2012-03-04 05:15:37 UTC
1. Create a new, empty Writer file.
2. Type a word in lower case (e.g. "caps").
3. Mark the word using Format -> Character, select Capitals under dropdown menu Effects.
4. Note that the word appears in capital letters now.
5. Safe as rtf file.
6. Close file.
7. Open file again.

The word is now in lower case.
The rtf file does contain the \caps directive, so it is written but somehow not used.
The same file reads properly in Word 2008 for Mac 12.3.2, for instance.
Comment 1 Jean-Baptiste Faure 2012-03-22 05:52:08 UTC
I reproduce the bug with the master (LibreOffice 3.6.0alpha0+ Build ID: 08ba87c-49d3d39-e67b1bf-879ce36-638d9c) under Ubuntu 11.10 x86_64.

Miklos: it's one for you, I guess. Please free to reassign if you can't handle this bug.

Best regards. JBF
Comment 2 Miklos Vajna 2012-03-24 09:07:14 UTC
This worked in 3.4 -> regression.
Comment 3 Not Assigned 2012-03-24 09:34:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04cae9ec1e1f04833b06fe9f24e23cfaf5265599

fdo#46955 fix RTF import of all capitals char prop
Comment 4 Miklos Vajna 2012-03-24 16:48:50 UTC
Fixed in master, will request cherry-pick to -3-5 a bit later.
Comment 5 Jean-Baptiste Faure 2012-03-25 08:36:54 UTC
Thank you Miklos. Now, it works well in master (LibreOffice 3.6.0alpha0+ 
Build ID: 08ba87c-49d3d39-e67b1bf-879ce36-638d9c).

Best regards. JBF
Comment 6 Not Assigned 2012-04-03 02:42:50 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05fde8006966df49221871fe3489aba8c2ca8e3f&g=libreoffice-3-5

fdo#46955 fix RTF import of all capitals char prop


It will be available in LibreOffice 3.5.3.